Bug 1001984 - Review Request: rubygem-text - Collection of text algorithms
Review Request: rubygem-text - Collection of text algorithms
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 05:17 EDT by Mamoru TASAKA
Modified: 2013-09-26 13:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 11:11:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2013-08-28 05:17:10 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-text/rubygem-text.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-text/rubygem-text-1.2.3-1.fc.src.rpm
Description: 
A collection of text algorithms: Levenshtein, Soundex, Metaphone, Double
Metaphone, Figlet, Porter Stemming

Fedora Account System Username: mtasaka
Comment 1 Miroslav Suchý 2013-08-28 05:51:12 EDT
Taking
Comment 2 Miroslav Suchý 2013-08-28 05:56:46 EDT
*I* would include in -doc:
%{gem_instdir}/Rakefile
%{gem_instdir}/test/

Can you please include
https://raw.github.com/threedaymonk/text/master/COPYING.txt
as SOURCE1?

Otherwise it looks good.
Comment 3 Mamoru TASAKA 2013-08-30 07:31:22 EDT
Thank you for initial comments:

(In reply to Miroslav Suchý from comment #2)
> *I* would include in -doc:
> %{gem_instdir}/Rakefile
> %{gem_instdir}/test/

- For now I decided not to include this.
 
> Can you please include
> https://raw.github.com/threedaymonk/text/master/COPYING.txt
> as SOURCE1?

- Added this (note that in Source0 I renamed this so as
  not to make files' names duplicate when multiple srpm
  are expanded)

> Otherwise it looks good.

http://mtasaka.fedorapeople.org/Review_request/rubygem-text/rubygem-text.spec
http://mtasaka.fedorapeople.org/Review_request/rubygem-text/rubygem-text-1.2.3-2.fc.src.rpm

* Fri Aug 30 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.2.3-2
- Include license text
Comment 4 Miroslav Suchý 2013-08-30 08:09:20 EDT
APPROVED
Comment 5 Mamoru TASAKA 2013-08-30 08:22:56 EDT
Thank you!

New Package SCM Request
=======================
Package Name: rubygem-text
Short Description: Collection of text algorithms
Owners: mtasaka
Branches: f18 f19 f20
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-30 08:41:05 EDT
Git done (by process-git-requests).
Comment 7 Miroslav Suchý 2013-09-25 04:57:55 EDT
Ping? Can we close this bug now?

I see that you submited it to current Fedora:
https://admin.fedoraproject.org/updates/FEDORA-2013-16543/rubygem-text-1.2.3-2.fc20
It is good habit to put in that form number of this BZ and bodhi will then automatically switch this BZ to ON_QA and Close it as the package hit stable.

Also please add you package to:
https://fedoraproject.org/wiki/Upstream_release_monitoring#Q_-_W
so you are notified when new version is released.
Comment 8 Mamoru TASAKA 2013-09-26 11:11:21 EDT
Closing. Thank you for review.
I am using my own check script for upstream monitoring.
Comment 9 Mamoru TASAKA 2013-09-26 11:15:14 EDT
(By the way, adding bugzilla number to bodhi adds the comment
 which tells that if any issues are found on the submitted
 packages, the issue should be reported on _this_ ticket, which is
 not proper. The issue should be reported should be reported against
 newly created component.)

Note You need to log in before you can comment on or make changes to this bug.